com.genesyslab.wfm8.API.service.config850

## Class CfgReportTaskDetails

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgReportTaskDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTaskDetails
      extends java.lang.Object
      implements java.io.Serializable

  CfgReportTaskDetails is used to specify details level of Report Task information request
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `infoType` Details level (`ECfgInfoType`) See also: `CfgReportTask`, `CfgReportTaskShort`
    `protected boolean` | `provideUserInfo` Specifies whether to provide corresponding `CfgUserShort` information or not
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTaskDetails()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getInfoType()` Gets the value of the infoType property.
    `int` | `hashCode()`
    `boolean` | `isProvideUserInfo()` Gets the value of the provideUserInfo property.
    `void` | `setInfoType(int value)` Sets the value of the infoType property.
    `void` | `setProvideUserInfo(boolean value)` Sets the value of the provideUserInfo property.
    `java.lang.String` | `toString()`
    `CfgReportTaskDetails` | `withInfoType(int value)`
    `CfgReportTaskDetails` | `withProvideUserInfo(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### infoType

          protected int infoType

      Details level (`ECfgInfoType`) See also: `CfgReportTask`, `CfgReportTaskShort`

    - #### provideUserInfo

          protected boolean provideUserInfo

      Specifies whether to provide corresponding `CfgUserShort` information or not

  - ### Constructor Detail

    - #### CfgReportTaskDetails

          public CfgReportTaskDetails()

  - ### Method Detail

    - #### getInfoType

          public int getInfoType()

      Gets the value of the infoType property.

    - #### setInfoType

          public void setInfoType(int value)

      Sets the value of the infoType property.

    - #### isProvideUserInfo

          public boolean isProvideUserInfo()

      Gets the value of the provideUserInfo property.

    - #### setProvideUserInfo

          public void setProvideUserInfo(boolean value)

      Sets the value of the provideUserInfo property.

    - #### withInfoType

          public CfgReportTaskDetails withInfoType(int value)

    - #### withProvideUserInfo

          public CfgReportTaskDetails withProvideUserInfo(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.